com.sap.conn.jco

## Class ConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sap.conn.jco.JCoRuntimeException
        - - com.sap.conn.jco.ConversionException

- All Implemented Interfaces:
    Serializable

      public class ConversionException
      extends JCoRuntimeException

  A ConversionException will be thrown, if a field in a JCoRecord cannot store a value passed to this record by a setValue call. One possible reason is trying to store some arbitrary text in a date field, or trying to put non-digits into an int field.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionException(String message)` Creates a ConversationException with the specified message.
    `ConversionException(String message, Throwable causedBy)` Creates a ConversationException with the specified message and the causing throwable.

  - ### Method Summary

    - ### Methods inherited from class com.sap.conn.jco.JCoRuntimeException

      `getGroup, getKey, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionException

          public ConversionException(String message)

      Creates a ConversationException with the specified message.
      Parameters:
        `message` - the message describing the exception

    - #### ConversionException

          public ConversionException(String message,
                             Throwable causedBy)

      Creates a ConversationException with the specified message and the causing throwable.
      Parameters:
        `message` - the message describing the exception
        `causedBy` - The throwable that caused the ConversionException

Copyright © 2018 SAP. All Rights Reserved.